package entity

import (
	"code.30cm.net/digimon/app-cloudep-member-server/pkg/domain/member"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type AccountUID struct {
	ID       primitive.ObjectID `bson:"_id,omitempty" json:"id,omitempty"`
	LoginID  string             `bson:"login_id"`
	UID      string             `bson:"uid"`
	Type     member.AccountType `bson:"type"`
	UpdateAt *int64             `bson:"update_at,omitempty" json:"update_at,omitempty"`
	CreateAt *int64             `bson:"create_at,omitempty" json:"create_at,omitempty"`
}

func (a *AccountUID) CollectionName() string {
	return "account_uid_binding"
}
